Start instances
- POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/{instance_ids}/_start
Starts instances belonging to a Deployment Resource.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
resource_kindstringrequired -
The kind of resource (one of elasticsearch, kibana, apm, or integrations_server).
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
-
instance_idsstringrequired -
A comma-separated list of instance identifiers.
Query Parameters
-
ignore_missingboolean · default: false If true and the instance does not exist then quietly proceed to the next instance, otherwise treated as an error
Responses
The start command was issued successfully.
The start maintenance mode command was prohibited for the given Resource. (code: deployments.instance_update_prohibited_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found) - One or more instances of the given resource type are missing. (code:
deployments.instances_missing_on_update_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
A Resource that was previously stored no longer exists. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response